%bcond_without perl_Glib_enables_optional_test

Name:           perl-Glib
Version:        1.3293
Release:    1%{?dist}
Summary:        Perl interface to GLib
License:        LGPLv2+
URL:            https://metacpan.org/release/Glib
Source0:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/Glib-%{version}.tar.gz
Patch0:         perl-Glib-1.3293-commentfix.patch
BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  glib2-devel
BuildRequires:  glibc-common
BuildRequires:  make
BuildRequires:  perl-interpreter >= 5.8.0
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::Depends) >= 0.300
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.00
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(overload)
BuildRequires:  perl(Storable)
BuildRequires:  perl(vars)
BuildRequires:  perl(Config)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(utf8)
%if %{with perl_Glib_enables_optional_test}
BuildRequires:  perl(I18N::Langinfo)
BuildRequires:  perl(Test::ConsistentVersion)
%endif
Requires:       perl(Config)
Requires:       perl(overload)

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
This module provides perl access to GLib and GLib's GObject libraries.
GLib is a portability and utility library; GObject provides a generic
type system with inheritance and a powerful signal system.  Together
these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%package devel
Summary:    Development part of Perl interface to GLib
Requires:   %{name} = %{version}-%{release}

%description devel
Development part of package perl-Glib, the Perl module providing interface
to GLib and GObject libraries.

%prep
%setup -q -n Glib-%{version}
%patch -P0 -p1 -b .commentfix
for F in AUTHORS; do
    iconv -f ISO-8859-1 -t UTF-8 < "$F" > "${F}.utf8"
    touch -r "$F" "${F}.utf8"
    mv "${F}.utf8" "$F"
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc AUTHORS ChangeLog.pre-git NEWS README TODO
%{perl_vendorarch}/auto/Glib/
%{perl_vendorarch}/Glib*
%{_mandir}/man3/*.3pm*
%exclude %{perl_vendorarch}/Glib/*/*.h
%exclude %{perl_vendorarch}/Glib/MakeHelper.pm
%exclude %{perl_vendorarch}/Glib/devel.pod
%exclude %{perl_vendorarch}/Glib/xsapi.pod
%exclude %{_mandir}/man3/Glib::MakeHelper.3pm.gz
%exclude %{_mandir}/man3/Glib::devel.3pm.gz
%exclude %{_mandir}/man3/Glib::xsapi.3pm.gz

%files devel
%{perl_vendorarch}/Glib/*/*.h
%{perl_vendorarch}/Glib/MakeHelper.pm
%{perl_vendorarch}/Glib/devel.pod
%{perl_vendorarch}/Glib/xsapi.pod
%{_mandir}/man3/Glib::MakeHelper.3pm.gz
%{_mandir}/man3/Glib::devel.3pm.gz
%{_mandir}/man3/Glib::xsapi.3pm.gz

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3293-1
- initial build
